# Method: revisions.patch

- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v2/revisions/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/revisions/patch#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v2/revisions/patch#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v2/revisions/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v2/revisions/patch#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v2/revisions/patch#try-it)

Updates a revision.

### HTTP request

`PATCH https://www.googleapis.com/drive/v2/files/{fileId}/revisions/{revisionId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `fileId` | `string` The ID for the file. |
| `revisionId` | `string` The ID for the revision. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/drive/api/reference/rest/v2/revisions#Revision`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/drive/api/reference/rest/v2/revisions#Revision`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/docs`
- `
  https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.appdata`
- `
  https://www.googleapis.com/auth/drive.file`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).